Bug 143531 - megaraid2 driver not detected by installer
megaraid2 driver not detected by installer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
: 143530 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:57 EST by Caitlyn M. Martin
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: u4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 09:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caitlyn M. Martin 2004-12-21 17:57:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Installation of RHEL 3.0 on a Dell PowerEdge 2850 with an LSI
Megaraid2 RAID controller.  Installer offers LSI Megaraid2 as a driver
to be installed but then fails to find the driver.

Version-Release number of selected component (if applicable):
2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL linux 
2. Fails to find hard drive -- select LSI Megaraid2 driver
3. Attempting to continue installing the OS will fail due to lack of a
hard drive to install on.
    

Actual Results:  System continued to fail to find controller.  After
ungzip'ing and uncpio'ing the driver it is possible to go to a command
prompt and insmod the driver.  At that point the installer recognized
the array and I was able to partition the storage.

Expected Results:  Installer should have loaded the megaraid2 driver
and recognized the array.

Additional info:

The controller is actually an LSI Logic PERC 4e/Di which is a
Megaraid2 according to Dell's website.  I did download a driver from
Dell's website which did not correct the problem.  The instructions
which came with it specified that it would fail and that I should then
install the LSI Megaraid2 driver from the list in the installer.  It
did not work as described above.
Comment 1 Ernie Petrides 2004-12-21 18:29:55 EST
*** Bug 143530 has been marked as a duplicate of this bug. ***
Comment 3 Caitlyn M. Martin 2005-01-07 09:26:40 EST
This problem was corrected in update 4 which correctly detects the driver.  -CMM
Comment 6 Ernie Petrides 2005-09-08 22:13:27 EDT
This was fixed in RHEL3 U4.  Here is a copy of the Errata System message:

 "An errata has been issued which should help the problem 
  described in this bug report. This report is therefore being 
  closed with a resolution of ERRATA. For more information
  on the solution and/or where to find the updated files, 
  please follow the link below. You may reopen this bug report 
  if the solution does not work for you.

  http://rhn.redhat.com/errata/RHBA-2004-550.html"

Obviously, the latest release kernel should be used (RHSA-2005:472), and U6 is
currently in beta and will be released soon (RHSA-2005:663).

Note You need to log in before you can comment on or make changes to this bug.